._timeline {
  $line-width: var(--spacer-tiny);
  $line-color: var(--state-color-mute);

  padding-left: var(--spacer-medium);
  border-left: $line-width solid var(--state-color-mute);
  margin-left: var(--spacer-default);

  &__year,
  &__month,
  &__day {
    padding: var(--spacer-small);
    border-radius: var(--border-radius-small);
  }

  &__year {
    position: sticky;
    z-index: 4;
    top: 0;
    margin-left: -1.5em;
    background-color: var(--component-content-background);
  }

  &__month {
    margin-top: var(--spacer-large);
    margin-left: -1.2rem;
    background-color: var(--component-content-background-alt);
    font-size: var(--font-size-h3);
  }

  &__day {
    position: sticky;
    z-index: 3;
    top: calc(var(--spacer-large) + var(--spacer-small));
    padding-left: var(--spacer-large);
    margin-top: var(--spacer-large);
    margin-left: -1.2rem;
    background-color: var(--component-content-background-alt);
    font-size: var(--font-size-h4);
  }

  &__entry {
    display: inline-block;
    border-radius: var(--border-radius-small);
    margin-top: var(--spacer-large);
    margin-bottom: var(--spacer-default);
    position: relative;

    &__subtitle {
      font-size: var(--font-size-smaller);
      font-weight: var(--font-weight-light);
    }

    &__icon {
      position: absolute;
      display: inline-block;
      padding: var(--spacer-tiny);
      border-radius: 50%;
      background-color: $line-color;
      width: 1.2em;
      height: 1.2em;
      left: -1.6rem;

      &:not(.rui-icon) {
        text-align: center;
        font-size: var(--font-size-base);
        line-height: 0.8em;
      }
    }
  }
}
